`<classDoc>` | contains reference information for a TEI element class; that is a group of elements which appear together in SGML content models, or which share some common attribute, or both.
Attributes: |
`type` | indicates whether this is a model class, an attribute class, or both.
| Datatype: (model | atts | both)
| Legal values: |
`model` | members of this class appear in the same SGML content models
`atts` | members of this class share common attributes
`both` | members of this class share attributes and also appear in the same SGML content models
| Default: #IMPLIED

Example

     <classDoc type=model ID=seg>
    <class>seg</class>
    <desc>elements for arbitrary segmentation.</desc>
    <ptr target=COse>
    </classDoc>

Tagset auxiliary tag set for tag set declarations
Class
Filename `teitsd2`
Content:
Parents tsd
Children attList class classes desc equiv files part ptr remarks rs
Declaration

    <!ELEMENT classDoc      - O  (class, rs?, desc, attList?,
                                 remarks?, part?, classes?, files?,
                                 ptr*, equiv*)                      >
    <!ATTLIST classDoc           %a.global
              type               (model | atts | both)
                                                     #IMPLIED       >

See 27.2 ; 27

Back to index